<?php
namespace App\Worldspan\StructureParser\Structures\EMD;

class Extradata extends \App\Worldspan\StructureParser\Structures\Base\Base
{
	protected function _getData()
	{
		list($parsedStructure, , $transactionIndexes) = $this->getTransactionDetails();

		$item = new \App\Sabre\StructureParser\Types\Extradata();

		$DE = $parsedStructure['EMD'][$transactionIndexes['EIdx']]['-E'];

		$item->reasonCode = 		$DE['ReasonForIssuanceCode'];

		$item->reasonSubCode = 		$DE['coupons'][0]['ReasonForIssuanceSubCodeItem'];
		$item->reasonSubCode_text = $DE['coupons'][0]['TheFORData'];

		return $item;
	}
}
